{
  "custom": {},
  "params": {
    "isEdit": false,
    "term": "",
    "translated": ""
  },
  "propConfig": {
    "params.id": {
      "paramDirection": "input",
      "persistent": true
    },
    "params.isEdit": {
      "paramDirection": "input",
      "persistent": true
    },
    "params.term": {
      "paramDirection": "input",
      "persistent": true
    },
    "params.translated": {
      "paramDirection": "input",
      "persistent": true
    }
  },
  "props": {
    "defaultSize": {
      "height": 255,
      "width": 400
    }
  },
  "root": {
    "children": [
      {
        "meta": {
          "name": "FlexContainer"
        },
        "position": {
          "basis": "45px"
        },
        "type": "ia.container.flex"
      },
      {
        "meta": {
          "name": "tf_term"
        },
        "position": {
          "basis": "32px"
        },
        "propConfig": {
          "props.enabled": {
            "binding": {
              "config": {
                "expression": "{view.params.term}"
              },
              "transforms": [
                {
                  "code": "\treturn value \u003d\u003d \u0027\u0027",
                  "type": "script"
                }
              ],
              "type": "expr"
            }
          },
          "props.text": {
            "binding": {
              "config": {
                "path": "view.params.term"
              },
              "type": "property"
            }
          }
        },
        "props": {
          "placeholder": "Enter Term",
          "style": {
            "fontFamily": "Verdana",
            "marginLeft": 20,
            "marginRight": 20
          }
        },
        "type": "ia.input.text-field"
      },
      {
        "meta": {
          "name": "FlexContainer_0"
        },
        "position": {
          "basis": "45px"
        },
        "type": "ia.container.flex"
      },
      {
        "meta": {
          "name": "tf_translation"
        },
        "position": {
          "basis": "32px"
        },
        "propConfig": {
          "props.text": {
            "binding": {
              "config": {
                "path": "view.params.translated"
              },
              "type": "property"
            },
            "persistent": true
          }
        },
        "props": {
          "placeholder": "Enter Translation",
          "style": {
            "fontFamily": "Verdana",
            "marginLeft": 20,
            "marginRight": 20
          }
        },
        "type": "ia.input.text-field"
      },
      {
        "meta": {
          "name": "FlexContainer_1"
        },
        "position": {
          "basis": "27px"
        },
        "type": "ia.container.flex"
      },
      {
        "events": {
          "component": {
            "onActionPerformed": {
              "config": {
                "script": "\tproject \u003d system.util.getProjectName()\n\tpending_translations \u003d {self.getSibling(\"tf_term\").props.text:self.getSibling(\"tf_translation\").props.text}\n\t\n\tpayload \u003d {\u0027locale\u0027:self.session.props.locale,\u0027pending_translations\u0027:pending_translations}\n\tsystem.perspective.sendMessage(\"update-translation-table\",payload)\n\n\tsystem.perspective.closePopup(\u0027TermEditor\u0027)"
              },
              "scope": "G",
              "type": "script"
            }
          }
        },
        "meta": {
          "name": "Button"
        },
        "position": {
          "basis": "50px"
        },
        "props": {
          "style": {
            "classes": "Buttons/Medium_Button",
            "margin": 10,
            "marginLeft": 20,
            "marginRight": 20
          },
          "text": "Submit"
        },
        "type": "ia.input.button"
      }
    ],
    "meta": {
      "name": "root"
    },
    "props": {
      "direction": "column"
    },
    "type": "ia.container.flex"
  }
}